Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.DRMEncryptData Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | DRMEncryptData ()
| Constructor.
def | DRMEncryptData (other)
| Constructor, with another DRM encrypt data object. More...
def | Set (is_encrypt_metadata, sub_filter, cipher, key_length, is_owner, user_permissions)
| Set value. More...

## Static Public Attributes
| cipher = _fsdk.DRMEncryptData_cipher
| Cipher type. Please refer to values starting from FoxitPDFSDKPython2.SecurityHandler.e_CipherRC4 and this should be one of these values except FoxitPDFSDKPython2.SecurityHandler.e_CipherNone .
| is_encrypt_metadata = _fsdk.DRMEncryptData_is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.
| is_owner = _fsdk.DRMEncryptData_is_owner
| A boolean value to decide whether current user is owner or not. true means current user is owner, and false means current user is not owner.
| key_length = _fsdk.DRMEncryptData_key_length
| The key length, in bytes. For FoxitPDFSDKPython2.SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16. For FoxitPDFSDKPython2.SecurityHandler.e_CipherAES cipher, this value should be 16 or. More...
| sub_filter = _fsdk.DRMEncryptData_sub_filter
| The sub filter name that specifies the syntax of the encryption dictionary contents.
| user_permissions = _fsdk.DRMEncryptData_user_permissions
| The user permissions. Please refer to values starting from FoxitPDFSDKPython2.PDFDoc.e_PermPrint and this can be one or combination of these values.

## Detailed Description

This class represents some data used for class DRMSecurityHandler .

## Constructor & Destructor Documentation

## ◆ DRMEncryptData()

def FoxitPDFSDKPython2.DRMEncryptData.DRMEncryptData | ( |  | other | ) |

Constructor, with another DRM encrypt data object.

Parameters

  [in] | other | Another DRM encrypt data object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.DRMEncryptData.Set | ( |  | is_encrypt_metadata,
|  |  | sub_filter,
|  |  | cipher,
|  |  | key_length,
|  |  | is_owner,
|  |  | user_permissions
| ) |  |

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents.
  [in] | cipher | Cipher type. Please refer to values starting from FoxitPDFSDKPython2.SecurityHandler.e_CipherRC4 and this should be one of these values except FoxitPDFSDKPython2.SecurityHandler.e_CipherNone .
  [in] | key_length | The key length, in bytes. For FoxitPDFSDKPython2.SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16. For FoxitPDFSDKPython2.SecurityHandler.e_CipherAES cipher, this value should be 16 or 32.
  [in] | is_owner | true means current user is owner, and false means current user is not owner.
  [in] | user_permissions | The user permissions. Please refer to values starting from FoxitPDFSDKPython2.PDFDoc.e_PermPrint and this can be one or combination of these values.

Returns
  None.

## Member Data Documentation

## ◆ key_length

FoxitPDFSDKPython2.DRMEncryptData.key_length = _fsdk.DRMEncryptData_key_length
| static

The key length, in bytes.
For FoxitPDFSDKPython2.SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16.
For FoxitPDFSDKPython2.SecurityHandler.e_CipherAES cipher, this value should be 16 or.